# Dev only : Postgres pour le développement local.
# La prod tournera dans un docker-compose.prod.yml séparé sur le VPS Hetzner.

services:
  postgres:
    image: postgres:16-alpine
    container_name: socialex-postgres-dev
    restart: unless-stopped
    environment:
      POSTGRES_USER: socialex
      POSTGRES_PASSWORD: socialex_dev
      POSTGRES_DB: socialex
    ports:
      - "5433:5432" # 5433 côté hôte pour ne pas conflicter avec un autre Postgres local
    volumes:
      - socialex_pgdata:/var/lib/postgresql/data
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U socialex -d socialex"]
      interval: 5s
      timeout: 5s
      retries: 5

volumes:
  socialex_pgdata:
